(function(window, Drupal, once) {

 /**
  * Drupal behaviors for form elements.
  *
  * @type {Drupal~behavior}
  */
 Drupal.behaviors.a12sPatternsForm = {

   /**
    * Toggle the "has-value" class on specific form elements.
    */
   formInputChangeEvent(e) {
     if (e.matches('select, input, textarea')) {
       const formElement = e.closest('.floating-laabel');

       if (formElement !== null) {
         formElement.classList.toggle('has-value', e.nodeValue !== "");
       }
     }
   },

   attach(context) {
     if (once('a12s-patterns-form', 'html', context).length) {
       document.querySelector('body').addEventListener('change', this.formInputChangeEvent);
     }
   }
 };

})(window, window.Drupal, window.once);
